[Top][All Lists]

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: relax license of cloexec, fcntl

From: Paolo Bonzini
Subject: Re: relax license of cloexec, fcntl
Date: Sun, 12 Dec 2010 11:07:51 +0100
User-agent: Mozilla/5.0 (X11; U; Linux x86_64; en-US; rv: Gecko/20101103 Fedora/1.0-0.33.b2pre.fc14 Lightning/1.0b3pre Mnenhy/0.8.3 Thunderbird/3.1.6

On 12/11/2010 12:36 AM, Eric Blake wrote:
Jim, Bruno, and Paolo,

I want to eventually get to the point where open(O_CLOEXEC) can be
supported in gnulib for use in libraries like LGPLv2+ libvirt.  Along
the way, I will want to make open (LGPLv2+) depend on cloexec (currently
LGPLv3+), which in turn is a thin wrapper around fcntl (currently
LGPLv3+).  Meanwhile, I can immediately start using cloexec within
libvirt before O_CLOEXEC support is complete in gnulib.

Are there any objections to relaxing the license?

Not from me, I don't particularly like LGPLv3+ licensing (unlike GPLv3+).


reply via email to

[Prev in Thread] Current Thread [Next in Thread]